import {Stack, Typography} from "@mui/material";
import BaseImage from "@/common/assets/images/home/base.svg";
import AuthImage from "@/common/assets/images/home/auth.svg";
import DriveImage from "@/common/assets/images/home/drive.svg";
import GroupsImage from "@/common/assets/images/home/groups.svg";
import AccessItem from "@/pages/Home/sections/Access/components/AccessItem";

export const Access = () => (
    <Stack direction="column" alignItems="center">
        <Typography variant="h4" fontWeight={700} color="black">Erhalte Zugriff auf alles von
            LicenseAPI</Typography>

        <Stack direction="row" justifyContent="center" alignItems="center" sx={{mt: 5}} gap={8} flexWrap="wrap">
            <AccessItem title="Base" image={BaseImage}/>
            <AccessItem title="Auth" image={AuthImage}/>
            <AccessItem title="Drive" image={DriveImage}/>
            <AccessItem title="Groups" image={GroupsImage}/>
        </Stack>
    </Stack>
)