import {Box, List, Stack, Typography, useMediaQuery, useTheme} from "@mui/material";
import CertificateImage from "@/common/assets/images/home/certificate.svg";
import BulletItem from "@/pages/Home/sections/Header/components/BulletItem";

export const Header = () => {
    const theme = useTheme();
    const isMobile = useMediaQuery(theme.breakpoints.down("lg"));

    return (
        <Stack direction="row" alignItems="center" justifyContent="space-evenly" sx={{mt: 5}}>
            <Stack direction="column" justifyContent="center" sx={{width: "45rem"}}>
                <Typography variant="h3" fontWeight={700} color="black">Die Lizenzierung
                    <Box color="primary.main" component="span"> Ihrer App</Box> war noch nie so einfach.
                </Typography>

                <List sx={{maxWidth: "32rem", mt: 2}}>
                    <BulletItem text="Erstellen, löschen und verwalten Sie Ihre Lizenzen"/>
                    <BulletItem text="Platzhalter-Text"/>
                    <BulletItem text="Hier wird auch irgendwann sicher nochmal was hin kommen"/>
                </List>
            </Stack>

            {!isMobile && <img src={CertificateImage} alt="Certificate" height="65%"/>}
        </Stack>
    );
}